Create Server Shared Env
API server
https://app.coolify.io/api/v1Create a shared environment variable for a server (type=server).
Authorization
bearerAuth AuthorizationBearer <token>
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
uuid*string
Server UUID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
key*string
value?string|null
is_literal?boolean
is_multiline?boolean
is_shown_once?boolean
If true, the saved value is hidden in the UI and API responses. A lock is permanent: false does not unlock a locked variable, but a new value can still replace the locked one. MCP never returns environment variable values.
comment?|
Length
length <= 256Response Body
application/json
application/json
application/json
curl -X POST "https://app.coolify.io/api/v1/servers/string/envs" \ -H "Content-Type: application/json" \ -d '{ "key": "string" }'Empty
{ "message": "Unauthenticated."}{ "message": "Resource not found."}Empty
{ "message": "Validation error.", "errors": { "name": [ "The name field is required." ], "api_url": [ "The api url field is required.", "The api url format is invalid." ] }}